io.vertx.rxjava3.httpproxy

## Class Body

- java.lang.Object
- - io.vertx.rxjava3.httpproxy.Body

-     public class Body
      extends Object

  Handles the HTTP proxy body.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Body>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Body(Body delegate)`
    `Body(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Body` | `body(Buffer buffer)` Create a new `Body` instance.
    `static Body` | `body(Flowable<Buffer> stream)` Create a new `Body` instance.
    `static Body` | `body(Flowable<Buffer> stream, long len)` Create a new `Body` instance.
    `boolean` | `equals(Object o)`
    `Body` | `getDelegate()`
    `int` | `hashCode()`
    `long` | `length()` Get length of the `Body`.
    `static Body` | `newInstance(Body arg)`
    `ReadStream<Buffer>` | `stream()` Get stream of the `Body`.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Body> __TYPE_ARG

  - ### Constructor Detail

    - #### Body

          public Body(Body delegate)

    - #### Body

          public Body(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Body getDelegate()

    - #### body

          public static Body body(Flowable<Buffer> stream,
                                  long len)

      Create a new `Body` instance.
      Parameters:
        `stream` - the `ReadStream` of the body
        `len` - the determined length of the body
      Returns:
        a reference to this, so the API can be used fluently

    - #### body

          public static Body body(Flowable<Buffer> stream)

      Create a new `Body` instance.
      Parameters:
        `stream` - the of the body
      Returns:
        a reference to this, so the API can be used fluently

    - #### body

          public static Body body(Buffer buffer)

      Create a new `Body` instance.
      Parameters:
        `buffer` - the of the body
      Returns:
        a reference to this, so the API can be used fluently

    - #### length

          public long length()

      Get length of the `Body`.
      Returns:
        the body length or `-1` if that can't be determined

    - #### stream

          public ReadStream<Buffer> stream()

      Get stream of the `Body`.
      Returns:
        the body stream

    - #### newInstance

          public static Body newInstance(Body arg)

Copyright © 2022 Eclipse. All rights reserved.